Question DX11 feature level 10.0 is required to run the engine. - PUBG PC LITE

Jan 16, 2020
19
0
10
0
Hi All,



I have Intel(R) Core(TM) i3 CPU 530 @ 2.93GHz.

RAM - 8 GBytes (4+4 DDR 3)

BIOS
vendor American Megatrends Inc.
version 080015
date 10/12/2018
NVIDIA GeForce GTX 660



I have installed PUBG PC Lite. It is always showing this error message "DX11 feature level 10.0 is required to run the engine."

I have DirectX Version 12.0 updated. I have the latest driver updated from NVIDIA.





Still facing the issue.



Can someone help?
 
Jan 16, 2020
19
0
10
0
Have you checked in the game's installed folder for directx redistributable installers?

Where did you get the game from? If from Steam, the Dx runtimes should have been installed.
I downloaded PUBG PC Lite from its official website.

It also displayed additional 3 software's
Microsoft Visual C++, .NET Framework 4.5.2 and DirectX 11

Which I have already installed.
 

ex_bubblehead

Champion
Moderator
Hi All,



I have Intel(R) Core(TM) i3 CPU 530 @ 2.93GHz.

RAM - 8 GBytes (4+4 DDR 3)

BIOS
vendor American Megatrends Inc.
version 080015
date 10/12/2018
NVIDIA GeForce GTX 660



I have installed PUBG PC Lite. It is always showing this error message "DX11 feature level 10.0 is required to run the engine."

I have DirectX Version 12.0 updated. I have the latest driver updated from NVIDIA.





Still facing the issue.



Can someone help?
Your video card simply does not support the required feature level. The only fix is to replace the card with something more recent.
 
Jan 16, 2020
19
0
10
0

ASK THE COMMUNITY

TRENDING THREADS